Bug 12749 - conflict (foomatic)
: conflict (foomatic)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/foo2zjs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-11 18:06 by
Modified: 2007-09-19 02:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-11 18:06:39
при обновлении получил пачке вот таких:

file /usr/share/foomatic/db/source/printer/HP-Color_LaserJet_1600.xml from 
install of foomatic-db-3.0.2-alt4 conflicts with file from package 
foo2zjs-20060523-alt0.4
------- Comment #1 From 2007-09-13 10:17:40 -------

*** This bug has been marked as a duplicate of 12721 ***
------- Comment #2 From 2007-09-13 16:03:47 -------
Это был INVALID, такие баги надо вешать на более левые пакеты, а не foomatic.

Я в курсе и постараюсь исправить ASAP.  Если поможешь патчиком -- будет ещё
чуть
быстрее.

Перевешиваю себе.
------- Comment #3 From 2007-09-13 16:04:23 -------
Пачки, кстати, тоже лучше полностью приводить -- там штуки четыре наложились.
------- Comment #4 From 2007-09-16 23:46:03 -------
fixed in foo2zjs-20060523-alt0.5
------- Comment #5 From 2007-09-17 07:34:19 -------
Однако хочу напомнить, что foomatic обязан теперь иметь conflicts с более
старой
версией этого пакета.

Иначе при точечных обновлениях будут файловые конфликты.
------- Comment #6 From 2007-09-17 13:40:37 -------
Я подумал и вспомнил, что лучше бы такое в foomatic не втягивать.  Если
втягивает апстрим, то мы почти ничего не можем сделать -- отслеживать все
связанные версии более-менее реально, если этим всем занимается один человек.

Делающие точечные обновления должны быть в силах, как мне кажется, понять и
разрулить конфликты такого плана.
------- Comment #7 From 2007-09-18 03:51:27 -------
Миша, если некие пакеты конфликтуют по файлам между ними должен быть конфликт.
Если этого конфликта нет, то это blocker. Однозначный.
В связи с этим раз в foomatic появлись файлы из foo2zjs, то нам надо:
а) убрать эти файлы в новых сборках foo2zjs;
б) в foomatic поставить конфликт на старые версии foo2zjs;

Эх, как не хватает у логики incominger проверки на подобные ошибки. Да, я
уверен
что данная ситуация это ошибка упаковки foomatic.
------- Comment #8 From 2007-09-18 11:52:21 -------
не ошибка, а целенаправленная диверсия ;)

Вообще это проблема в upstream где никак не могут определиться какие данные
хранятся в foomatic, а какие в сопутствующих пакетах.
При очередной сборке проверять все возможные пакеты с возможными xml-файлами -
теоретически неразрешимая задача.
------- Comment #9 From 2007-09-18 12:29:40 -------
Вполне разрешивая для incominger скриптов.
Если новый пакет содержит в себе файлы, которые есть в других пакетах, и при
этом не содержит конфликта на этот пакет -- мы имеем blocker и повод не
пропускать пакет, и прислать мантейнеру полный список конфликтных файлов.

Далее уже дело мантейнера либо исключить у себя эти файлы, либо поставить
конфликт на чужой пакет (возможно с указанием версии), и дальше уже тому
мантейнеру придется чтобы сохранить устанавливаемость исключить в следующих
сборках эти файлы.
------- Comment #10 From 2007-09-18 16:54:53 -------
Разве что как некая (comm?) проверка на этапе вот того самого
прикарманивания...
------- Comment #11 From 2007-09-19 02:18:28 -------
comm будет долго.
IMHO лучше кэшировать (в sqlite/bdb) список всех файлов во всех пакетах. И перед
тем как пропускать в репо проходится по этому списку и материться если есть
файловый конфликт, но нет реального.